## ros-jazzy-chomp-motion-planner 2.10.0

=== debian/changelog ===
ros-jazzy-chomp-motion-planner (2.10.0-2bookworm) bookworm; urgency=high

  * Unify log names (#2720 <https://github.com/moveit/moveit2/issues/2720>)
    Co-authored-by: Abishalini Sivaraman <mailto:abi.gpuram@gmail.com>
  * CMake format and lint in pre-commit (#2683 <https://github.com/moveit/moveit2/issues/2683>)
  * Contributors: Sebastian Jahr, Tyler Weaver

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 12 Jun 2024 16:00:00 -0000

ros-jazzy-chomp-motion-planner (2.9.0-2bookworm) bookworm; urgency=high

  * Node logging for the rest of MoveIt (#2599 <https://github.com/ros-planning/moveit2/issues/2599>)
  * [Planning Pipeline Refactoring] #1 <https://github.com/ros-planning/moveit2/issues/1> Simplify Adapter - Planner chain (#2429 <https://github.com/ros-planning/moveit2/issues/2429>)
  * Merge branch 'main' into dependabot/github_actions/SonarSource/sonarcloud-github-c-cpp-2
  * Contributors: Sebastian Jahr, Tyler Weaver

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Mon, 08 Jan 2024 16:00:00 -0000

ros-jazzy-chomp-motion-planner (2.8.0-2bookworm) bookworm; urgency=high

  * Always set response planner id and warn if it is not set (#2236 <https://github.com/ros-planning/moveit2/issues/2236>)
  * Contributors: Sebastian Jahr

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sat, 09 Sep 2023 16:00:00 -0000

ros-jazzy-chomp-motion-planner (2.7.4-2bookworm) bookworm; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 17 May 2023 16:00:00 -0000

ros-jazzy-chomp-motion-planner (2.7.3-2bookworm) bookworm; urgency=high

  * Replace Variable PROJECT_NAME in CMakeLists.txt with the actual name (#2020 <https://github.com/ros-planning/moveit2/issues/2020>)
  * Contributors: Shobuj Paul

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sun, 23 Apr 2023 16:00:00 -0000

ros-jazzy-chomp-motion-planner (2.7.2-2bookworm) bookworm; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Mon, 17 Apr 2023 16:00:00 -0000

ros-jazzy-chomp-motion-planner (2.7.1-2bookworm) bookworm; urgency=high

  * remove underscore from public member in MotionPlanResponse (#1939 <https://github.com/ros-planning/moveit2/issues/1939>)
    * remove underscore from private members
    * fix more uses of the suffix notation
  * Contributors: AlexWebb

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 22 Mar 2023 16:00:00 -0000

ros-jazzy-chomp-motion-planner (2.7.0-2bookworm) bookworm; urgency=high

  * Merge https://github.com/ros-planning/moveit/commit/9225971216885490e933ece25390c63ca14f8a58
  * Switch to clang-format-14 (#1877 <https://github.com/ros-planning/moveit2/issues/1877>)
    * Switch to clang-format-14
    * Fix clang-format-14
  * Change log level of CHOMP runtime output and change kdl print (#1818 <https://github.com/ros-planning/moveit2/issues/1818>)
  * Fix BSD license in package.xml (#1796 <https://github.com/ros-planning/moveit2/issues/1796>)
    * fix BSD license in package.xml
    * this must also be spdx compliant
  * Minimize use of this-> (#1784 <https://github.com/ros-planning/moveit2/issues/1784>)
    It's often unnecessary. MoveIt already avoids this in most cases
    so this PR better cements that existing pattern.
  * Add braces around blocks. (#999 <https://github.com/ros-planning/moveit2/issues/999>)
  * Used C++ style cast instead of C style cast  (#1628 <https://github.com/ros-planning/moveit2/issues/1628>)
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
  * Use a stronger source of randomness (#1721 <https://github.com/ros-planning/moveit2/issues/1721>)
    * Remove use of deprecated std::random_shuffle
    * Replace random number generators with rsl::rng
    * Utilize rsl::uniform_real
  * Fix segfaults in CHOMP (#3204 <https://github.com/ros-planning/moveit2/issues/3204>)
    * due to missing description_
    * in case of an unspecified input trajectory
  * Contributors: Abhijeet Das Gupta, Abishalini, Chris Thrasher, Christian Henkel, Cory Crean, Henning Kayser, Robert Haschke, Sebastian Jahr

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sat, 28 Jan 2023 16:00:00 -0000

ros-jazzy-chomp-motion-planner (2.6.0-2bookworm) bookworm; urgency=high

  * Replace C array with std::array in std::vector template argument to improve compatibility with clang compiler and libc++ (#1612 <https://github.com/ros-planning/moveit2/issues/1612>)
    Co-authored-by: Tyler Weaver <mailto:tyler@picknik.ai>
  * updated comment formatting for correct doxygen generation (#1582 <https://github.com/ros-planning/moveit2/issues/1582>)
  * Improve CMake usage (#1550 <https://github.com/ros-planning/moveit2/issues/1550>)
  * Remove __has_include statements (#1481 <https://github.com/ros-planning/moveit2/issues/1481>)
  * Contributors: Michael Wrock, Sebastian Jahr, Vatan Aksoy Tezer, light-tech

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 09 Nov 2022 16:00:00 -0000

ros-jazzy-chomp-motion-planner (2.5.3-2bookworm) bookworm; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 27 Jul 2022 16:00:00 -0000

ros-jazzy-chomp-motion-planner (2.5.2-2bookworm) bookworm; urgency=high

  * Merge remote-tracking branch 'origin/main' into feature/msa
  * Removing more boost usage (#1372 <https://github.com/ros-planning/moveit2/issues/1372>)
  * Remove unnecessary rclcpp.hpp includes (#1333 <https://github.com/ros-planning/moveit2/issues/1333>)
  * Contributors: Henry Moore, Jafar, Vatan Aksoy Tezer

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sun, 17 Jul 2022 16:00:00 -0000

ros-jazzy-chomp-motion-planner (2.5.1-2bookworm) bookworm; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Mon, 30 May 2022 16:00:00 -0000

ros-jazzy-chomp-motion-planner (2.5.0-2bookworm) bookworm; urgency=high

  * Make moveit_common a 'depend' rather than 'build_depend' (#1226 <https://github.com/ros-planning/moveit2/issues/1226>)

