=== debian/control ===
Source: ros-jazzy-chomp-motion-planner
Section: misc
Priority: optional
Maintainer: Chittaranjan Srinivas Swaminathan <chitt@live.in>
Build-Depends: debhelper (>= 9.0.0), ros-jazzy-ament-cmake, ros-jazzy-moveit-common, ros-jazzy-moveit-core, ros-jazzy-rclcpp, ros-jazzy-rsl, ros-jazzy-trajectory-msgs, ros-jazzy-ros-workspace
Homepage: http://ros.org/wiki/chomp_motion_planner
Standards-Version: 3.9.2

Package: ros-jazzy-chomp-motion-planner
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-jazzy-moveit-common, ros-jazzy-moveit-core, ros-jazzy-rclcpp, ros-jazzy-rsl, ros-jazzy-trajectory-msgs, ros-jazzy-ros-workspace
Description: chomp_motion_planner
